petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDAGetCoordinateArray

Gets an array containing the coordinates of the DMDA

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetCoordinateArray(DM dm,void *xc)

Not Collective

### Input Parameter

dm -the DM

### Output Parameter

xc -the coordinates

### Keywords

distributed array, get, component name

### See Also

DMDASetCoordinateName(), DMDASetFieldName(), DMDAGetFieldName(), DMDARestoreCoordinateArray()

Level:intermediate
Location:src/dm/impls/da/dacorn.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages